FileScanner (Apache Ant API)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant
Interface FileScanner

All Known Implementing Classes:
  ArchiveScanner, DependScanner, DirectoryScanner, FTP.FTPDirectoryScanner, FTPTaskMirrorImpl.FTPDirectoryScanner, TarScanner, ZipScanner

    public interface FileScanner

An interface used to describe the actions required of any type of directory scanner.

Method Summary
`void` | `addDefaultExcludes()` Adds default exclusions to the current exclusions set.
`java.io.File` | `getBasedir()` Returns the base directory to be scanned.
`java.lang.String[]` | `getExcludedDirectories()` Returns the names of the directories which matched at least one of the include patterns and at least one of the exclude patterns.
`java.lang.String[]` | `getExcludedFiles()` Returns the names of the files which matched at least one of the include patterns and at least one of the exclude patterns.
`java.lang.String[]` | `getIncludedDirectories()` Returns the names of the directories which matched at least one of the include patterns and none of the exclude patterns.
`java.lang.String[]` | `getIncludedFiles()` Returns the names of the files which matched at least one of the include patterns and none of the exclude patterns.
`java.lang.String[]` | `getNotIncludedDirectories()` Returns the names of the directories which matched none of the include patterns.
`java.lang.String[]` | `getNotIncludedFiles()` Returns the names of the files which matched none of the include patterns.
`void` | `scan()` Scans the base directory for files which match at least one include pattern and don't match any exclude patterns.
`void` | `setBasedir(java.io.File basedir)` Sets the base directory to be scanned.
`void` | `setBasedir(java.lang.String basedir)` Sets the base directory to be scanned.
`void` | `setCaseSensitive(boolean isCaseSensitive)` Sets whether or not the file system should be regarded as case sensitive.
`void` | `setExcludes(java.lang.String[] excludes)` Sets the list of exclude patterns to use.
`void` | `setIncludes(java.lang.String[] includes)` Sets the list of include patterns to use.

Method Detail

### addDefaultExcludes

    void addDefaultExcludes()

  Adds default exclusions to the current exclusions set.

### getBasedir

    java.io.File getBasedir()

  Returns the base directory to be scanned. This is the directory which is scanned recursively.

  Returns:
    the base directory to be scanned

### getExcludedDirectories

    java.lang.String[] getExcludedDirectories()

  Returns the names of the directories which matched at least one of the include patterns and at least one of the exclude patterns. The names are relative to the base directory.

  Returns:
    the names of the directories which matched at least one of the include patterns and at least one of the exclude patterns.

### getExcludedFiles

    java.lang.String[] getExcludedFiles()

  Returns the names of the files which matched at least one of the include patterns and at least one of the exclude patterns. The names are relative to the base directory.

  Returns:
    the names of the files which matched at least one of the include patterns and at least one of the exclude patterns.

### getIncludedDirectories

    java.lang.String[] getIncludedDirectories()

  Returns the names of the directories which matched at least one of the include patterns and none of the exclude patterns. The names are relative to the base directory.

  Returns:
    the names of the directories which matched at least one of the include patterns and none of the exclude patterns.

### getIncludedFiles

    java.lang.String[] getIncludedFiles()

  Returns the names of the files which matched at least one of the include patterns and none of the exclude patterns. The names are relative to the base directory.

  Returns:
    the names of the files which matched at least one of the include patterns and none of the exclude patterns.

### getNotIncludedDirectories

    java.lang.String[] getNotIncludedDirectories()

  Returns the names of the directories which matched none of the include patterns. The names are relative to the base directory.

  Returns:
    the names of the directories which matched none of the include patterns.

### getNotIncludedFiles

    java.lang.String[] getNotIncludedFiles()

  Returns the names of the files which matched none of the include patterns. The names are relative to the base directory.

  Returns:
    the names of the files which matched none of the include patterns.

### scan

    void scan()
              throws java.lang.IllegalStateException

  Scans the base directory for files which match at least one include pattern and don't match any exclude patterns.

  Throws:
    `java.lang.IllegalStateException` - if the base directory was set incorrectly (i.e. if it is `null`, doesn't exist, or isn't a directory).

### setBasedir

    void setBasedir(java.lang.String basedir)

  Sets the base directory to be scanned. This is the directory which is scanned recursively. All '/' and '\' characters should be replaced by `File.separatorChar`, so the separator used need not match `File.separatorChar`.

  Parameters:
    `basedir` - The base directory to scan. Must not be `null`.

### setBasedir

    void setBasedir(java.io.File basedir)

  Sets the base directory to be scanned. This is the directory which is scanned recursively.

  Parameters:
    `basedir` - The base directory for scanning. Should not be `null`.

### setExcludes

    void setExcludes(java.lang.String[] excludes)

  Sets the list of exclude patterns to use.

  Parameters:
    `excludes` - A list of exclude patterns. May be `null`, indicating that no files should be excluded. If a non-`null` list is given, all elements must be non-`null`.

### setIncludes

    void setIncludes(java.lang.String[] includes)

  Sets the list of include patterns to use.

  Parameters:
    `includes` - A list of include patterns. May be `null`, indicating that all files should be included. If a non-`null` list is given, all elements must be non-`null`.

### setCaseSensitive

    void setCaseSensitive(boolean isCaseSensitive)

  Sets whether or not the file system should be regarded as case sensitive.

  Parameters:
    `isCaseSensitive` - whether or not the file system should be regarded as a case sensitive one

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD